gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.MessageTypeGType)) An enumeration used by Gtk.MessageDialog.

This enumeration defines the type of message being displayed in the dialog.

- Field
  2.12.0.0
  Gtk.MessageType A fatal error message.
- Field
  2.12.0.0
  Gtk.MessageType An informational message.
- Field
  2.12.0.0
  Gtk.MessageType Any other message.
- Field
  2.12.0.0
  Gtk.MessageType A question requiring a choice.
- Field
  2.12.0.0
  Gtk.MessageType A nonfatal warning message.